package com.company;

public class Player {
    private int[][] playerCoordinate;

    public Player(){
        playerCoordinate = new int[6][6];
    }

    public int[][] getPlayerCoordinate() {
        return playerCoordinate;
    }

    public boolean containsInArray(int[][] arr, int x, int y){
        if (arr[x][y] != 0)
            return true;
        else
            return false;
    }

    public void addDisc(int[][] arr, int[][]arrOpponent, int x, int y){
        if ((!containsInArray(arr, x, y)) && (!containsInArray(arrOpponent, x, y)))
            arr[x][y]++;
    }

    public boolean searchIfMatchEnds(int[][] arr, int[][]arrOpponent){
        for (int i = 0; i < 6; i++){
            for (int j = 0; j < 6; j++){
                if (containsInArray(arr, j, i)){
                    if (checkSides(arr, j, i))
                        return true;
                }
            }
        }
        return false;
    }

    public boolean checkSides(int[][] arr,int x, int y){
        if (x != 0){
            if (containsInArray(arr, x - 1, y)){
                if (countTheMoves(arr, x, y, -1, 0) == 5)
                    return true;
            }
            if (y != 0){
                if (containsInArray(arr, x - 1, y - 1))
                    if (countTheMoves(arr, x, y, -1, -1) == 5)
                        return true;
            }
            if (y != 5){
                if (containsInArray(arr, x - 1, y + 1))
                    if (countTheMoves(arr, x, y, -1, 1) == 5)
                        return true;
            }
        }
        if (x != 5){
            if (containsInArray(arr, x + 1, y)){
                if (countTheMoves(arr, x, y, 1, 0) == 5)
                    return true;
            }
            if (y != 0){
                if (containsInArray(arr, x + 1, y - 1))
                    if (countTheMoves(arr, x, y, 1, -1) == 5)
                        return true;
            }
            if (y != 5){
                if (containsInArray(arr, x + 1, y + 1)) {
                    if (countTheMoves(arr, x, y, 1, -1) == 5)
                        return true;
                }
            }
        }
        if (y != 0){
            if (containsInArray(arr, x, y - 1))
                if (countTheMoves(arr, x, y, 0, -1) == 5)
                    return true;
        }
        if (y != 5){
            if (containsInArray(arr, x, y + 1)) {

                if (countTheMoves(arr, x, y, 0, 1) == 5)
                    return true;
            }
        }
        return false;
    }
    public int countTheMoves(int[][]arr, int x, int y, int moveX, int moveY){
        int x1 = x + moveX;
        int y1 = y + moveY;
        int counter = 1;
        while ((counter < 5) && (x1 > -1) && (x1 < 6)
                && (y1 > -1) && (y1 < 6) && (containsInArray(arr, x1, y1))){
            counter++;
            x1 += moveX;
            y1 += moveY;
        }
        return counter;
    }
}


